﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;
using Vevo.Domain;
using Vevo.Domain.Base;
using Vevo.Domain.DataInterfaces;
using Vevo.Domain.Products;

namespace Vevo.Domain
{
    public class CategoryRepositoryHelper
    {
        #region Private

        private Type _type;

        #endregion

        #region Public Constructors

        public CategoryRepositoryHelper( Type type )
        {
            _type = type;
        }

        #endregion

        #region Public Methods

        public IBaseCategory GetOne( Culture culture, string ID )
        {
            if (_type.Name == "Category")
            {
                return (Category) DataAccessContext.CategoryRepository.GetOne( culture, ID );
            }
            else if (_type.Name == "Department")
            {
                return (Department) DataAccessContext.DepartmentRepository.GetOne( culture, ID );
            }
            return null;
        }

        public IList<ILocale> GetLocales( string ID )
        {
            if (_type.Name == "Category")
            {
                return DataAccessContext.CategoryRepository.GetLocales( ID );
            }
            else if (_type.Name == "Department")
            {
                return DataAccessContext.DepartmentRepository.GetLocales( ID );
            }
            return null;
        }

        public IList<IBaseCategory> GetByRootID(
            Culture culture,
            string rootID,
            string sortBy,
            BoolFilter isEnabled )
        {
            if (_type.Name == "Category")
            {
                return (IList<IBaseCategory>) DataAccessContext.CategoryRepository.GetByRootID( culture, rootID, sortBy, isEnabled );
            }
            else if (_type.Name == "Department")
            {
                return (IList<IBaseCategory>) DataAccessContext.DepartmentRepository.GetByRootID( culture, rootID, sortBy, isEnabled );
            }
            return null;
        }


        #endregion
    }
}
