using System;
using System.Collections.Generic;
using System.Data;
using System.Text;

using Vevo.Domain.Payments;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface IGiftCertificateRepository
    {
        GiftCertificate Create( GiftCertificate giftCertificate );
        GiftCertificate Update( GiftCertificate giftCertificate );
        GiftCertificate GetOne( string giftCertificateCode );
        string GetCodeFromUrlParameter( string urlParameter );
        string GetCodeFromOrderItemID( string orderItemID );
        IList<TableSchemaItem> GetTableSchema();
        void Delete( string giftCertificateCode );
        void DeleteByOrderID( string orderID );
        void DeleteByOrderItemID( string orderItemID );

        IList<GiftCertificate> GetAllByOrderID( string orderID );
        DataTable SearchGiftCertificate(
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems );


    }
}
