using System;
using System.Collections.Generic;
using System.Text;

using Vevo.Domain.Shipping;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface IShippingOrderTotalRateRepository
    {
        ShippingOrderTotalRate Save( ShippingOrderTotalRate shippinOrderTotalRate );
        ShippingOrderTotalRate GetOne( string shippingOrderTotalRateID );
        void Delete( string shippingOrderTotalRateID );
        void DeleteByShippingID( string shippingID );
        IList<ShippingOrderTotalRate> GetAllByShippingID( string shippingID, string sortBy );

        IList<ShippingOrderTotalRate> SearchShippingOrderTotalRateItem(
            string shippingID,
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems );
        IList<TableSchemaItem> GetTableSchema();

    }
}
