﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Vevo.Domain.GoogleFeed
{
    public class GoogleOptionMapping : ICloneable
    {
        #region Private

        private string _googleFeedTagID = "0";
        private string _googleFeedTagName = string.Empty;
        private string _optionGroupID = "0";
        private string _optionGroupName = string.Empty;

        #endregion

        #region Public Constructors

        public GoogleOptionMapping()
        {
        }

        public static GoogleOptionMapping Null
        {
            get { return NullGoogleOptionMapping.Instance; }
        }

        public virtual bool IsNull
        {
            get { return false; }
        }

        #endregion

        #region Public Properties
        public string GoogleFeedTagID 
        {
            get { return _googleFeedTagID; } 
            set { _googleFeedTagID = value; } 
        }

        public string GoogleFeedTagName
        {
            get { return _googleFeedTagName; }
            set { _googleFeedTagName = value; }
        }

        public string OptionGroupID
        {
            get { return _optionGroupID; }
            set { _optionGroupID = value; }
        }

        public string OptionGroupName
        {
            get { return _optionGroupName; }
            set { _optionGroupName = value; }
        }
        #endregion

        #region IClonable Members
        // Copy the whole aggregate (including locale)
        public object Clone()
        {
            GoogleOptionMapping newObject = (GoogleOptionMapping) MemberwiseClone();
            return newObject;
        }
        #endregion
    }
}
