using System;
using Vevo.QuickBooks.Qbxml70;

namespace Vevo.QuickBooks.States
{
    /// <summary>
    /// Summary description for CustomerModifyResponse
    /// </summary>
    public class CustomerModifyResponseState : QBWCState
    {
        private void MoveToNextState()
        {
            QBWCSession.CurrentState = new CustomerAddRequestState( QBWCSession );
        }


        private void ProcessRecieve( string response )
        {
            QBXMLMsgsRs qbXmlMsgsRs = CreateResponse( response );
            
            int successCount = 0;
            int failureCount = 0;

            for (int i = 0; i < qbXmlMsgsRs.Items.Length; i++)
            {
                CustomerModRsType result = (CustomerModRsType) qbXmlMsgsRs.Items[i];
                if (result.statusCode.ToString() == "0")
                {
                    QBWCSession.AddQBFullNameList( result.CustomerRet.FullName, result.CustomerRet.ListID );
                    successCount++;
                }
                else
                {
                    CreateQBLogItem( 
                        result.statusCode, 
                        result.statusSeverity, 
                        result.statusMessage, 
                        QBExportType.CustomerModify );

                    failureCount++;
                }
            }

            CreateQBLogSummary( QBExportType.CustomerModify, successCount, failureCount );
        }

        public CustomerModifyResponseState( QBWCSession session )
            : base( session )
        {
        }

        public override int OnReceiveResponseXml( string responseXml )
        {
            ProcessRecieve( responseXml );
            MoveToNextState();
            return 24;
        }
    }
}
