using System;
using Vevo.QuickBooks.Qbxml70;

namespace Vevo.QuickBooks.States
{
    /// <summary>
    /// Summary description for CustomerQueryResponseState
    /// </summary>
    public class CustomerQueryResponseState : QBWCState
    {
        private void MoveToNextState()
        {
            QBWCSession.CurrentState = new CustomerModifyRequestState( QBWCSession );
        }

        private void ProcessRecieve( string response )
        {
            QBXMLMsgsRs qbXmlMsgRs = CreateResponse( response );

            for (int i = 0; i < qbXmlMsgRs.Items.Length; i++)
            {
                CustomerQueryRsType result = (CustomerQueryRsType) qbXmlMsgRs.Items[i];
                if (result.statusCode.ToString() == "0")
                {
                    for (int j = 0; j < result.CustomerRet.Length; j++)
                    {
                        QBWCSession.AddQBFullNameList( result.CustomerRet[j].FullName, result.CustomerRet[j].ListID );
                        QBWCSession.AddQBEditSequenceList(
                            result.CustomerRet[j].ListID,
                            result.CustomerRet[j].EditSequence );
                    }
                }
            }
        }

        public CustomerQueryResponseState( QBWCSession session )
            : base( session )
        {
        }

        public override int OnReceiveResponseXml( string responseXml )
        {
            ProcessRecieve( responseXml );

            MoveToNextState();

            return 16;
        }

    }
}
